<?php

namespace Layerdrops\Ostech\Widgets;


class Gift extends \Elementor\Widget_Base
{
    public function get_name()
    {
        return 'ostech-gift';
    }

    public function get_title()
    {
        return __('Gift', 'ostech-addon');
    }

    public function get_icon()
    {
        return 'eicon-cogs';
    }

    public function get_categories()
    {
        return ['ostech-category'];
    }

    protected function register_controls()
    {
        $this->start_controls_section(
            'layout_section',
            [
                'label' => __('Layout', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'layout_type',
            [
                'label' => __('Select Layout', 'ostech-addon'),
                'type' => \Elementor\Controls_Manager::SELECT2,
                'default' => 'layout_one',
                'options' => [
                    'layout_one' => __('Layout One', 'ostech-addon'),
                    'layout_two' => __('Layout Two', 'ostech-addon'),
                ]
            ]
        );


        $this->end_controls_section();

        include ostech_get_elementor_option('gift-one-option.php');

        //General style
        $this->start_controls_section(
            'general_style',
            [
                'label' => esc_html__('Content Style', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        ostech_elementor_general_style_options($this, 'Title', '{{WRAPPER}} .gift-card-one__title a', ['layout_one', 'layout_two']);
        ostech_elementor_general_style_options($this, 'Price', '{{WRAPPER}} .gift-card-one__price', ['layout_one', 'layout_two']);
        ostech_elementor_general_style_options($this, 'Promo Code', '{{WRAPPER}} .gift-card-one__code', ['layout_one', 'layout_two']);
        ostech_elementor_general_style_options($this, 'Promo Title', '{{WRAPPER}} .gift-card-one__text', ['layout_one', 'layout_two']);

        $this->end_controls_section();

        //button style
        $this->start_controls_section(
            'button_style',
            [
                'label' => esc_html__('Button Style', 'ostech-addon'),
                'tab' => \Elementor\Controls_Manager::TAB_STYLE,
            ]
        );

        ostech_elementor_button_style_options($this, 'Button', '{{WRAPPER}} .ostech-btn--base::before', '{{WRAPPER}} .ostech-btn--base::after', ['layout_one', 'layout_two', 'layout_three']);

        $this->end_controls_section();

        ostech_elementor_column_count_options($this, ['layout_one']);
        ostech_get_elementor_carousel_options($this, ['layout_two']);
    }

    protected function render()
    {
        $settings = $this->get_settings_for_display();
        include ostech_get_template('gift-one.php');
        include ostech_get_template('gift-two.php');
    }
}
